---
title: 2024-03-29
---

## Meta

* Time: 29-03-2024
* Present: d1, p4u1, mo
* Call: https://vc.autistici.org/CoopCloudFederationMeeting

## Agenda

- checking in
- abra release planning https://git.coopcloud.tech/toolshed/organising/issues/583
- reforms to fedi process
  - symptoms  
    - eotl vote delayed weeks
    - many members not paying dues, no waiver agreed
    - vera / Flancia left all chats?
  - proposals
    - [define fedi member reponsibilities](https://git.coopcloud.tech/toolshed/organising/issues/579)
    - exit criteria for fedi members
    - delay x quorom decision making
    - rolling "credit system" for doing work
    
## Notes

### Checking in

d1: last release was gnarly, was tired but now looking forward to coordinating new release

mo: travelling, pretty busy, alakazam presentation/docs/feedback energies

p4: release hell, good progress, happy to see automation for new release. backupbot spec is underway, to discuss soon...

### Release planning

Note about previous release: goreleaser refused to to release on a branch previously, so we reverted the backup changes and reverted the revert after the release

#### Catalogue

why catalogue?
- advantage: git repository
- disadvantage: overhead, CI/CD system, people don't understand it, several bugs

proposal: rely on tags in the repository. clone everything to .abra/recipes/... pull tags locally on-the-fly.

if i create a new version of a recipe, the catalogue is not even at all. it just looks locally. the update happens afterwards

precomputing means saving resources later on

With the operator collaboration topic, it will be possible to specificy an app recipe with a git location, it is then possible to skip the catalogue.
https://git.coopcloud.tech/toolshed/organising/issues/533#issuecomment-19038

recipes.coopcloud.tech (the Elm app) is reading the JSON

in an ideal post-catalogue abra, you could just ref a git org where `RECIPE=<recipe>` would find `https://git.example.com/<org>/<recipe>` and even `RECIPE=<org>/<recipe>`

Backwards compatiblibility will be key. For next next release 🎉

#### Automation test suite

Computing power from somewhere? Local-IT doing migration atm so not ideal timing. Maybe again after a month or so, can check-in again then.

Can also ask Autonomic and/or whoever else feels like they can help.

#### Cli Argument Handling

https://git.coopcloud.tech/toolshed/organising/issues/581

Upgrade to `urfave/cli` version 2 will enforce `abra app command command [command options] <domain> [<service>] <command> [-- <args>]`

Maybe we need a poll to see how people are using it? `@mo` using the strict format anyway, `@d1` not minding, `@p4` in favour...

adding a good/clear warning/error that if using e.g. `--chaos` on the end, it's not possible anymore...

> How do you use flag options (e.g. `--chaos`) with Abra?
> At the beginning: abra app deploy --chaos app.example.com
> At the end: abra app deploy app.example.com --chaos

> How annoyed will you be if, we enforce it at the beginning?
> Not annoyed
> Slighty annoyed
> Very annoyed
> If you are *annoyed, what can we do to help this process? e.g. docs, warning, etc.

Decision vs. poll? It's not really a choice. the lib is broken / enforces this. its ambigous now and just causes issues / questions / confusion.

Hack to re-order options transparently? Some pre-processor which would special case the `[-- ARGS]` for `abra app cmd`.

Doing it one way is just clear for everyone.

Plan: make proposal, get votes. if voted against, try to make new with adaptions / more work/money etc. but compromises with needs. (TODO: `@d1`)

Btw emoji polls are actually broken for some clients 😱

### Fedi process reforms

https://git.coopcloud.tech/toolshed/organising/issues/579

- pay yearly dues or get waiver (don't pay)
- actively participate in voting
- actively participate in monthly federation meetings. if you can't make it, please send your updates by text
- agree to code of conduct

exit criteria?

- no yearly dues arragement
- no/less voting/participation in meetings

TODO: proposal, pass, check in with people in the "exit criteria" area, are they OK?

### Goals of Federation?

- what is the purpose of the fedi?
- in relation to theory, ideology, strategy
- Co-op Cloud Conf !!!
- let's think about this and check back in

### Next meeting

`@mo` does next poll



